[postgis-tickets] [SCM] PostGIS branch master updated. 3.2.0-254-g3a3a84df8

git at osgeo.org git at osgeo.org
Sat Jan 15 09:52:52 PST 2022


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "PostGIS".

The branch, master has been updated
       via  3a3a84df865fc111ba35b2e123ae8abde0398f41 (commit)
       via  f7db3058861cde4c950f346b4cdcefcc0d2fceba (commit)
      from  f10b31fbc7222e6763bf90248d3f8ca2086997e2 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 3a3a84df865fc111ba35b2e123ae8abde0398f41
Author: Sandro Santilli <strk at kbt.io>
Date:   Sat Jan 15 16:30:32 2022 +0100

    [dronie] give a summary of upgrade tests

diff --git a/ci/dronie/postgis_regress.sh b/ci/dronie/postgis_regress.sh
index 2ae83b059..0dae3653c 100644
--- a/ci/dronie/postgis_regress.sh
+++ b/ci/dronie/postgis_regress.sh
@@ -18,5 +18,7 @@ make install
 RUNTESTFLAGS=-v make installcheck
 
 CURRENTVERSION=`grep '^POSTGIS_' Version.config | cut -d= -f2 | paste -sd '.'`
-utils/check_all_upgrades.sh -s ${CURRENTVERSION}
-utils/check_all_upgrades.sh -s ${CURRENTVERSION}!
+utils/check_all_upgrades.sh -s ${CURRENTVERSION} | tee check.log
+utils/check_all_upgrades.sh -s ${CURRENTVERSION}! | tee -a check.log
+echo "-- Summary of upgrade tests --"
+egrep '(PASS|FAIL)' check.log

commit f7db3058861cde4c950f346b4cdcefcc0d2fceba
Author: Sandro Santilli <strk at kbt.io>
Date:   Sat Jan 15 15:15:33 2022 +0100

    Improve check_all_upgrades.sh
    
     - Report target version when testing upgrades from unpackaged to :auto
     - Fix handling all specific-version parameter followed by exclamation mark
     - Check availability of unpackaged upgrade file
     - Report extension in PASS/FAIL messages
    
    NOTE: this makes dronie really test upgrades via function, which
          was NOT really working as of 8c741465d

diff --git a/utils/check_all_upgrades.sh b/utils/check_all_upgrades.sh
index ff8a2b59b..9e49c295d 100755
--- a/utils/check_all_upgrades.sh
+++ b/utils/check_all_upgrades.sh
@@ -19,6 +19,8 @@ to_version=$to_version_param
 if expr $to_version : ':auto' >/dev/null; then
   export PGDATABASE=template1
   to_version=`psql -XAtc "select default_version from pg_available_extensions where name = 'postgis'"` || exit 1
+elif expr $to_version : '.*!$' >/dev/null; then
+  to_version=$(echo "${to_version}" | sed 's/\!$//')
 fi
 
 
@@ -110,9 +112,9 @@ for EXT in ${INSTALLED_EXTENSIONS}; do
       fi
       RUNTESTFLAGS="-v --extension --upgrade-path=${UPGRADE_PATH} ${USERTESTFLAGS}" \
       make -C ${REGDIR} check && {
-        echo "PASS: upgrade $UPGRADE_PATH"
+        echo "PASS: ${EXT} upgrade $UPGRADE_PATH"
       } || {
-        echo "FAIL: upgrade $UPGRADE_PATH"
+        echo "FAIL: ${EXT} upgrade $UPGRADE_PATH"
         failed
       }
     else
@@ -123,18 +125,27 @@ for EXT in ${INSTALLED_EXTENSIONS}; do
   # Check unpackaged->extension upgrades
   for majmin in `'ls' -d ${CTBDIR}/postgis-* | sed 's/.*postgis-//'`; do
     UPGRADE_PATH="unpackaged${majmin}--${to_version_param}"
+    UPGRADE_FILE="${EXT}--unpackaged--${to_version}.sql"
+    if ! test -e ${UPGRADE_FILE}; then
+      echo "SKIP: ${EXT} upgrade $UPGRADE_FILE is missing"
+      continue
+    fi
     # only consider versions older than ${to_version_param}
-    cmp=`semver_compare "${majmin}" "${to_version_param}"`
+    cmp=`semver_compare "${majmin}" "${to_version}"`
     if test $cmp -ge 0; then
       echo "SKIP: upgrade $UPGRADE_PATH ($to_version_param is not newer than $majmin)"
       continue
     fi
-    echo "Testing ${EXT} upgrade $UPGRADE_PATH"
+    if expr $to_version_param : ':auto' >/dev/null; then
+      echo "Testing ${EXT} upgrade $UPGRADE_PATH ($to_version)"
+    else
+      echo "Testing ${EXT} upgrade $UPGRADE_PATH"
+    fi
     RUNTESTFLAGS="-v --extension --upgrade-path=${UPGRADE_PATH} ${USERTESTFLAGS}" \
     make -C ${REGDIR} check && {
-      echo "PASS: upgrade $UPGRADE_PATH"
+      echo "PASS: ${EXT} upgrade $UPGRADE_PATH"
     } || {
-      echo "FAIL: upgrade $UPGRADE_PATH"
+      echo "FAIL: ${EXT} upgrade $UPGRADE_PATH"
       failed
     }
   done

-----------------------------------------------------------------------

Summary of changes:
 ci/dronie/postgis_regress.sh |  6 ++++--
 utils/check_all_upgrades.sh  | 23 +++++++++++++++++------
 2 files changed, 21 insertions(+), 8 deletions(-)


hooks/post-receive
-- 
PostGIS


More information about the postgis-tickets mailing list